App

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
mhr.appcore.transform.TM Class Reference

## Public Member Functions
| TM ()
| TM (double aa11, double aa12, double aa13, double aa21, double aa22, double aa23, double aa31, double aa32, double aa33)
| TM (TM other)
String | toString ()

## Static Public Member Functions
static TM | multiply (TM m1, TM m2)
static TM | inverseOf (TM m)
static TM | transposeOf (TM m)

## Detailed Description

Definition at line 3 of file TM.java.

## Constructor & Destructor Documentation

mhr.appcore.transform.TM.TM | ( |  | ) |
| inline

Definition at line 9 of file TM.java.

{
}

mhr.appcore.transform.TM.TM | ( | double | aa11,
|  | double | aa12,
|  | double | aa13,
|  | double | aa21,
|  | double | aa22,
|  | double | aa23,
|  | double | aa31,
|  | double | aa32,
|  | double | aa33
| ) |  |
| inline

Definition at line 12 of file TM.java.

{
a11 = aa11;
a12 = aa12;
a13 = aa13;
a21 = aa21;
a22 = aa22;
a23 = aa23;
a31 = aa31;
a32 = aa32;
a33 = aa33;
}

mhr.appcore.transform.TM.TM | ( | TM | other | ) |
| inline

Definition at line 26 of file TM.java.

{
a11 = other.a11;
a12 = other.a12;
a13 = other.a13;
a21 = other.a21;
a22 = other.a22;
a23 = other.a23;
a31 = other.a31;
a32 = other.a32;
a33 = other.a33;
}

## Member Function Documentation

static TM mhr.appcore.transform.TM.inverseOf | ( | TM | m | ) |
| inlinestatic

Definition at line 58 of file TM.java.

{
TM r = new TM();
double factor = 1 / (m.a11 * (m.a22 * m.a33 - m.a23 * m.a32) - m.a12 * (m.a21 * m.a33 - m.a23 * m.a31) + m.a13 * (m.a21 * m.a32 - m.a22 * m.a31));
r.a11 = (m.a22 * m.a33 - m.a23 * m.a32) * factor;
r.a12 = (m.a13 * m.a32 - m.a12 * m.a33) * factor;
r.a13 = (m.a12 * m.a23 - m.a13 * m.a22) * factor;
r.a21 = (m.a23 * m.a31 - m.a21 * m.a33) * factor;
r.a22 = (m.a11 * m.a33 - m.a13 * m.a31) * factor;
r.a23 = (m.a13 * m.a21 - m.a11 * m.a23) * factor;
r.a31 = (m.a21 * m.a32 - m.a22 * m.a31) * factor;
r.a32 = (m.a12 * m.a31 - m.a11 * m.a32) * factor;
r.a33 = (m.a11 * m.a22 - m.a12 * m.a21) * factor;
return r;
}

static TM mhr.appcore.transform.TM.multiply | ( | TM | m1,
|  | TM | m2
| ) |  |
| inlinestatic

Definition at line 40 of file TM.java.

{
TM r = new TM();
r.a11 = m1.a11 * m2.a11 + m1.a12 * m2.a21 + m1.a13 * m2.a31;
r.a12 = m1.a11 * m2.a12 + m1.a12 * m2.a22 + m1.a13 * m2.a32;
r.a13 = m1.a11 * m2.a13 + m1.a12 * m2.a23 + m1.a13 * m2.a33;
r.a21 = m1.a21 * m2.a11 + m1.a22 * m2.a21 + m1.a23 * m2.a31;
r.a22 = m1.a21 * m2.a12 + m1.a22 * m2.a22 + m1.a23 * m2.a32;
r.a23 = m1.a21 * m2.a13 + m1.a22 * m2.a23 + m1.a23 * m2.a33;
r.a31 = m1.a31 * m2.a11 + m1.a32 * m2.a21 + m1.a33 * m2.a31;
r.a32 = m1.a31 * m2.a12 + m1.a32 * m2.a22 + m1.a33 * m2.a32;
r.a33 = m1.a31 * m2.a13 + m1.a32 * m2.a23 + m1.a33 * m2.a33;
return r;
}

String mhr.appcore.transform.TM.toString | ( |  | ) |
| inline

Definition at line 97 of file TM.java.

{
StringBuilder sb = new StringBuilder();
sb.append(a11); sb.append('\t');sb.append(a12); sb.append('\t');sb.append(a13); sb.append('\n');
sb.append(a21); sb.append('\t');sb.append(a22); sb.append('\t');sb.append(a23); sb.append('\n');
sb.append(a31); sb.append('\t');sb.append(a32); sb.append('\t');sb.append(a33); sb.append('\n');
return sb.toString();
}

static TM mhr.appcore.transform.TM.transposeOf | ( | TM | m | ) |
| inlinestatic

Definition at line 78 of file TM.java.

{
TM r = new TM();
r.a11 = m.a11;
r.a12 = m.a21;
r.a13 = m.a31;
r.a21 = m.a12;
r.a22 = m.a22;
r.a23 = m.a32;
r.a31 = m.a13;
r.a32 = m.a23;
r.a33 = m.a33;
return r;
}

The documentation for this class was generated from the following file:

- /home/xxx/eclipse_workspaces/app/appcore/src/mhr/appcore/transform/TM.java